org.eclipse.gef.ui.actions

## Class DeleteAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.gef.ui.actions.WorkbenchPartAction
        - - org.eclipse.gef.ui.actions.SelectionAction
          - - org.eclipse.gef.ui.actions.DeleteAction

All Implemented Interfaces:
  Disposable, UpdateAction, IAction

    public class DeleteAction
    extends SelectionAction

An action to delete selected objects.

### Field Summary

Fields
`static java.lang.String` `ID` Deprecated. Use ActionFactory.DELETE.getId() instead.

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`DeleteAction(IEditorPart editor)` Deprecated. use DeleteAction(IWorkbenchPart part)
`DeleteAction(IEditorPart editor, java.lang.String label)` Deprecated. use DeleteAction(IWorkbenchPart)
`DeleteAction(IWorkbenchPart part)` Constructs a `DeleteAction` using the specified part.

### Method Summary

Methods
`protected boolean` `calculateEnabled()` Returns `true` if the selected objects can be deleted.
`Command` `createDeleteCommand(java.util.List objects)` Create a command to remove the selected objects.
`protected void` `init()` Initializes this action's text and images.
`void` `run()` Performs the delete action on the selected objects.

### Methods inherited from class org.eclipse.gef.ui.actions.SelectionAction

`dispose, getSelectedObjects, getSelection, handleSelectionChanged, setSelection, setSelectionProvider, update`

### Methods inherited from class org.eclipse.gef.ui.actions.WorkbenchPartAction

`execute, getCommandStack, getWorkbenchPart, isEnabled, refresh, setLazyEnablementCalculation, setWorkbenchPart`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final java.lang.String ID

Deprecated. Use ActionFactory.DELETE.getId() instead.

### Constructor Detail

#### DeleteAction

    public DeleteAction(IEditorPart editor)

Deprecated. use DeleteAction(IWorkbenchPart part)

Parameters:
  `editor` - The editor this action will be associated with.

#### DeleteAction

    public DeleteAction(IEditorPart editor,
                java.lang.String label)

Deprecated. use DeleteAction(IWorkbenchPart)
Creates a `DeleteAction` with the given label.

Parameters:
  `editor` - The editor this action will be associated with.
  `label` - The label to be displayed for this action.

#### DeleteAction

    public DeleteAction(IWorkbenchPart part)

Constructs a `DeleteAction` using the specified part.

Parameters:
  `part` - The part for this action

### Method Detail

#### calculateEnabled

    protected boolean calculateEnabled()

Returns `true` if the selected objects can be deleted. Returns `false` if there are no objects selected or the selected objects are not `EditPart`s.

Specified by:
  `calculateEnabled` in class `WorkbenchPartAction`
Returns:
  `true` if the command should be enabled

#### createDeleteCommand

    public Command createDeleteCommand(java.util.List objects)

Create a command to remove the selected objects.

Parameters:
  `objects` - The objects to be deleted.
Returns:
  The command to remove the selected objects.

#### init

    protected void init()

Initializes this action's text and images.

Overrides:
  `init` in class `WorkbenchPartAction`

#### run

    public void run()

Performs the delete action on the selected objects.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`